Kling O3 Standard — Video Edit
curl --request POST \
--url https://api.muvi.video/v1/jobs/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"input": {
"prompt": "<string>",
"video_url": "<string>",
"images": [
{}
],
"keep_original_sound": true,
"shot_type": "<string>"
}
}
'import requests
url = "https://api.muvi.video/v1/jobs/submit"
payload = {
"model": "<string>",
"input": {
"prompt": "<string>",
"video_url": "<string>",
"images": [{}],
"keep_original_sound": True,
"shot_type": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
input: {
prompt: '<string>',
video_url: '<string>',
images: [{}],
keep_original_sound: true,
shot_type: '<string>'
}
})
};
fetch('https://api.muvi.video/v1/jobs/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobId": "<string>",
"status": "<string>",
"estimatedCompletionTime": "<string>",
"costMicroCents": 123
}Kling O3 Standard
Kling O3 Standard — Video Edit
Generate videos with the Kling O3 Standard model using video edit.
POST
/
v1
/
jobs
/
submit
Kling O3 Standard — Video Edit
curl --request POST \
--url https://api.muvi.video/v1/jobs/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"input": {
"prompt": "<string>",
"video_url": "<string>",
"images": [
{}
],
"keep_original_sound": true,
"shot_type": "<string>"
}
}
'import requests
url = "https://api.muvi.video/v1/jobs/submit"
payload = {
"model": "<string>",
"input": {
"prompt": "<string>",
"video_url": "<string>",
"images": [{}],
"keep_original_sound": True,
"shot_type": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
input: {
prompt: '<string>',
video_url: '<string>',
images: [{}],
keep_original_sound: true,
shot_type: '<string>'
}
})
};
fetch('https://api.muvi.video/v1/jobs/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobId": "<string>",
"status": "<string>",
"estimatedCompletionTime": "<string>",
"costMicroCents": 123
}Edit an existing video using a natural-language instruction with the Kling O3 Standard model.
| Property | Value |
|---|---|
| Provider | Kling Plus |
| Model | Kling O3 Standard |
| Capability | Video Edit |
| Base Cost | 30,000 micro-cents/second ($0.030/sec) |
| Processing Time | ~180 seconds |
Request Body
string
required
Model slug. Use
kling-plus/kling-o3-standard/video-edit for video edit generation.object
required
Input parameters for video edit generation.
Hide properties
Hide properties
string
HTTPS URL to receive a webhook notification when the job completes or fails.
Pricing
Base cost: 30,000 micro-cents per second ($0.030/sec)finalCost = baseCost (flat per-video)
Cost: flat 30,000 micro-cents ($0.030) per video.
Response
string
Unique identifier for the submitted job.
string
Initial job status. Always
"pending" on successful submission.string
ISO 8601 timestamp of the estimated completion time.
number
The cost of the job in micro-cents.
Code Examples
curl -X POST https://api.muvi.video/v1/jobs/submit \
-H "Authorization: Bearer $PIXELBYTE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "kling-plus/kling-o3-standard/video-edit",
"input": {
"prompt": "Replace the background sky with a vibrant sunset and add a flock of birds",
"video_url": "https://example.com/video.mp4"
}
}'
import requests
response = requests.post(
"https://api.muvi.video/v1/jobs/submit",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"model": "kling-plus/kling-o3-standard/video-edit",
"input": {
"prompt": "Replace the background sky with a vibrant sunset and add a flock of birds",
"video_url": "https://example.com/video.mp4"
}
}
)
data = response.json()
print(data)
const response = await fetch("https://api.muvi.video/v1/jobs/submit", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
model: "kling-plus/kling-o3-standard/video-edit",
input: {
prompt: "Replace the background sky with a vibrant sunset and add a flock of birds",
video_url: "https://example.com/video.mp4"
}
})
});
const data = await response.json();
console.log(data);
